Get Field Recording Transcript
curl --request GET \
--url https://data.craftflow.co/api/v1/recordings/{id}/transcript/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.craftflow.co/api/v1/recordings/{id}/transcript/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.craftflow.co/api/v1/recordings/{id}/transcript/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "e5f6a7b8-c9d0-1234-efab-567890123456",
"transcript": [
{
"speaker": "A",
"text": "So let me walk you through what we found with the unit.",
"start": 1200,
"end": 4800,
"words": [
{
"text": "So",
"start": 1200,
"end": 1400,
"speaker": "A"
},
{
"text": "let",
"start": 1450,
"end": 1600,
"speaker": "A"
},
{
"text": "me",
"start": 1650,
"end": 1800,
"speaker": "A"
},
{
"text": "walk",
"start": 1850,
"end": 2100,
"speaker": "A"
},
{
"text": "you",
"start": 2150,
"end": 2300,
"speaker": "A"
},
{
"text": "through",
"start": 2350,
"end": 2600,
"speaker": "A"
},
{
"text": "what",
"start": 2650,
"end": 2850,
"speaker": "A"
},
{
"text": "we",
"start": 2900,
"end": 3050,
"speaker": "A"
},
{
"text": "found",
"start": 3100,
"end": 3400,
"speaker": "A"
},
{
"text": "with",
"start": 3450,
"end": 3650,
"speaker": "A"
},
{
"text": "the",
"start": 3700,
"end": 3850,
"speaker": "A"
},
{
"text": "unit.",
"start": 3900,
"end": 4800,
"speaker": "A"
}
]
},
{
"speaker": "B",
"text": "Okay, sounds good.",
"start": 5200,
"end": 6500,
"words": [
{
"text": "Okay,",
"start": 5200,
"end": 5600,
"speaker": "B"
},
{
"text": "sounds",
"start": 5700,
"end": 6000,
"speaker": "B"
},
{
"text": "good.",
"start": 6050,
"end": 6500,
"speaker": "B"
}
]
}
]
}
}{
"error": {
"detail": "<string>"
}
}{
"error": {
"detail": "Not found."
}
}{
"error": {
"detail": "<string>"
}
}Field Recordings
Get Field Recording Transcript
Retrieve the full transcript for a field recording.
GET
/
recordings
/
{id}
/
transcript
/
Get Field Recording Transcript
⌘I